Last Comment Bug 445875 - Make it possible to open a CPAN shell with install-module.
: Make it possible to open a CPAN shell with install-module.
Status: RESOLVED FIXED
:
Product: Bugzilla
Classification: Server Software
Component: Installation & Upgrading (show other bugs)
: 3.1.4
: All All
: -- enhancement (vote)
: Bugzilla 3.4
Assigned To: Marcus Pallinger
: default-qa
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-17 15:42 PDT by Max Kanat-Alexander
Modified: 2010-10-18 15:08 PDT (History)
2 users (show)
mkanat: approval+
mkanat: approval3.4+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch to enable a shell support for install-module.pl (1.22 KB, patch)
2009-09-12 19:36 PDT, Marcus Pallinger
mkanat: review+
Details | Diff | Splinter Review

Description Max Kanat-Alexander 2008-07-17 15:42:12 PDT
Sometimes there are commands I need to type into the CPAN shell that won't work with install-module directly, like the commands to install a specific module version.

We should have a --shell argument that opens a CPAN shell with all the standard install-module configuration done.
Comment 1 Marcus Pallinger 2009-09-12 19:36:43 PDT
Created attachment 400322 [details] [diff] [review]
Patch to enable a shell support for install-module.pl
Comment 2 Max Kanat-Alexander 2009-09-13 18:07:12 PDT
Comment on attachment 400322 [details] [diff] [review]
Patch to enable a shell support for install-module.pl

Looks good to me. Need to change the indentation to 4 characters on checkin, though.

For future patches, see our development process here:

  http://wiki.mozilla.org/Bugzilla:Developers
Comment 3 Max Kanat-Alexander 2009-09-16 02:45:52 PDT
I decided that this is such a small (yet extremely useful) change that it wouldn't hurt to have it on the 3.4 branch also.

I made a few adjustments on checkin--just fixed some indentation and modified the POD of install-module slightly.

Thanks for the patch! :-)

tip:

Checking in install-module.pl;
/cvsroot/mozilla/webtools/bugzilla/install-module.pl,v  <--  install-module.pl
new revision: 1.5; previous revision: 1.4
done


3.4:

Checking in install-module.pl;
/cvsroot/mozilla/webtools/bugzilla/install-module.pl,v  <--  install-module.pl
new revision: 1.3.2.2; previous revision: 1.3.2.1
done

Note You need to log in before you can comment on or make changes to this bug.